#!/bin/bash
# Linux commands
#
# make sure all the following files are in the current directory
# libtof.so  main_app.hex  tmf8801.ko  tof_main  tof8801-overlay.dtbo  tofguimodule.so
# this script run with su privilege.
#
# if user pass in k1 it's a encrypted device.
if [ $# -eq 0 ]
then
  echo "No target 3v3 hex file please use ./install_3v3.sh k2..."
  exit
else
  if [ "$1" == "k2" ] 
  then
      # reset file system to original state. remove all files from 8701 8801
      ./reset.sh
      echo "Copying the encrypted k2 hex file..."
#      cp main_app_3v3_k2.hex /lib/firmware/tof8801_firmware.bin
      cp main_app.hex /lib/firmware/tof8801_firmware.bin
  fi
fi
#
if grep -Fxq "dtoverlay=tof8801-overlay" /boot/config.txt
then
    echo "No need to modify /boot/config.txt"
else
    echo "Append dtoverlay=tof8801-overlay to /boot/config.txt"
    echo "dtoverlay=tof8801-overlay" >> /boot/config.txt
fi
cp tof8801-overlay.dtbo /boot/overlays/
cp libtof.so /usr/lib/
cp tofguimodule.so /opt/USBSensorBridgeRuntime/modules/
cp tmf8801.ko /opt/USBSensorBridgeRuntime/modules/
echo "modules/tmf8801.ko" > /opt/USBSensorBridgeRuntime/config/default_driver.config
echo "modules/tofguimodule.so" > /opt/USBSensorBridgeRuntime/config/default_module.config
#
# copy the spad_mask.csv to /home/pi
cp spad_mask.csv /home/pi/
# copy tofgenapp to /home/pi/bin
if [ !  -d /home/pi/bin ]
then
    mkdir -p /home/pi/bin
fi
#
cp tofgenapp /home/pi/bin/
cp tofdatacollect /home/pi/bin/
cp tofalgstate /home/pi/bin/
chmod 755 -R /home/pi/bin
#
# Remove the factory calibrate file
rm -f /lib/firmware/tof8801_fac_calib.bin
